Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Upgrading 3.3.13 to 3.3.14
#1
Hi everybody!

I have a problem with upgrading. I updated index.php and admin directory, visited the admin site domain.com/admin and it says ”upgrade complete”. When i try to visit the site domain.com it says page not found. I didn’t get around this with wiki-info about upgrading. Only option was to put old version back.

I quess there is and easy option I just did not see? Smile

Thank you for the answer in advance.
Reply
#2
I just upgraded a couple sites and had no issues.

Are you sure you didn't upload any other files or folders besides index.php and admin ?
Reply
#3
(2018-09-01, 20:01:24)Carlos Wrote: I just upgraded a couple sites and had no issues.

Are you sure you didn't upload any other files or folders besides index.php and admin ?

Yes, I am sure. Changed old files/folders to admin_old and index_old.php only uploaded new admin folder and index.php. I googled this problem and i think it has something to do with webservers firewall. Provider is knows for high security firewalls and they might not be aware of new version of get-simple. I comment here when i know more.
Reply
#4
you will have to check your host error log,no use guessing
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#5
Help!

I have the same issue when updating from 3.3.13 to 3.3.14! I tried first in WAMP, with PHP 5.5xx, which was no problem, but now on my webserver with PHP 7.0.31, it failed!

All pages are on 404.

My update procedure was the same as every time. Only upload of admin, index, license and readme. 
And logged in after.
There is even no page preview when logged in.  Angry

Hypertexter
Reply
#6
I also had to go back to 3.3.13. And I was irritated that I had to do that with the 3.3.13 installation file. The automatically generated zip archive files do not contain the admin folder. Exclamation

3.3.13 works fine again. Something really must be wrong with the 3.3.14 files.
Reply
#7
Shit sorry , There must be a fatal error in error log
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#8
@shawn_a

You mean me?

I have webspace administrated by cPanel and I found an empty error log under .../frontend/paper_lantern/stats/errlog.html

It's called "last 300 errors" and it is empty. Are there other error logs somewhere else?

Hypertexter
Reply
#9
gs has an error log also in data other logs
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#10
Nothing. The last entry in data/other/logs/errorlog.txt is:

Code:
[18-Apr-2018 10:32:51 Europe/Amsterdam] Die Sitemap wurde erstellt, jedoch trat ein Fehler beim Benachrichtigen der Suchmaschinen auf
Reply
#11
hmm I just did an upgrade several times and had no issues, what version did you upgrade FROM ?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#12
From 3.3.13.

The same on WAMP. No problems there.

My first version was 3.3.2, I never had such an effect after an update.


Exclamation  Edit: I tried to go to 3.3.14 again, same failure, and what I saw now: no german language in the GUI anymore... only english available.
Reply
#13
could be a permissions problem, let me repackage the download, sometimes permissions get saved in the zip
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#14
Hi Shawn,
first I would like to thank you for your work and the update!

I updated three pages now and had a problem with only one of them. It´s based on php 7.1. The others have php 5.6. Is it possible that the php version causes the problem?

Best regards,
Sabine
Reply
#15
Yes let me test there were some php 7 fixes so maybe
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#16
running 7.2 and 3.3.14 no problems...
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#17
here are the changes between versions, very minor

https://github.com/GetSimpleCMS/GetSimpl......v3.3.14
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#18
One of the changes must be the culprit.

I re-installed 3.3.14, the same result again: only 404 pages instead of content
Then I switched the PHP versions in cPanel. The last version that makes page content in 3.3.14 is PHP 5.6.
PHP 7.0, 7.1 and 7.2 do not work with my site.

I let 3.3.14 be installed now, but the server is on PHP 5.6.

What still irritates me, is the english GUI, even on PHP 5.6. I always had a german GUI before.

Hypertexter
Reply
#19
when you say doesnt work , what doesnt work ?
Only the front end?
backend working ?
health check ?

What plugins? Did you disable them and test?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#20
I reuploaded the package in case there was a permissions problem in side the zip
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#21
Quote:what doesnt work ?

As I said: 404 pages instead of content pages. The page http://www.domain.de/page1 does not show the page content of page1, but my 404 sorry page.

The admin GUI ("backend"?) works and shows normal pages, but: in english instead of german.

I tried to deactive the plugins. The only one with a reaction was the I18N plugin 3.3.1 (not the I18N Base plugin). When deactivated I18N under PHP 7.2, I do not get the 404 pages anymore, but only parts of a page (logo, part of the menu) without a design.

I have not tested your new zip yet, but I will as soon as possible.

Bye,
Hypertexter
Reply
#22
Quote:I have not tested your new zip yet, but I will as soon as possible.

No difference.
Reply
#23
I have alt language and all i18n plugins active, and have no issues.
backend alt language is working, and content is all working.

what i18n functions is your theme calling ?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#24
Can anyone else reproduce or test this for us to try to figure it out?
I still think this is an edge case or something else is entirely wrong here and coincidental.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#25
Hi there, one of the pages with error is now ok after switching from php 7.0 to 7.2. But one still has an issue. I deactivated all plugins, but no change. Problem is, that only page content isn´t loading. All other page elements are ok. See screenshot.
Reply




Users browsing this thread: 2 Guest(s)